public class Complex extends Real {
    // Daten
    private double im;

    // Konstruktoren
    public Complex(double real) {
    	this(real, 0.0); // rufe den anderen Konstruktor auf
    }
    public Complex(double real, double imag) {
    	super(real);	// Konstruktor der Oberklasse aufrufen
	im = imag;	// ... Rest selbst initialisieren
    }

    // Methoden
    public double imag() {
        return im;
    }
    public String toString() {
        // re ist private in Real => re nicht sichtbar hier!
    	return real() + " + " + im + " * i";
    }
}
